<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__sdp__discovery__db__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_sdp_discovery_db_t</compoundname>
    <includes local="no">wiced_bt_sdp.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__sdp__discovery__db__t_1a81d7ef3616ec429b4a18e5b9d36ac48f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_sdp_discovery_db_t::mem_size</definition>
        <argsstring />
        <name>mem_size</name>
        <briefdescription>
<para>Memory size of the DB. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="134" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="134" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__db__t_1a46b1feac5e72fb9e386b9df692339b06" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_sdp_discovery_db_t::mem_free</definition>
        <argsstring />
        <name>mem_free</name>
        <briefdescription>
<para>Memory still available. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="135" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="135" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__db__t_1a5756e0f4a5aa37bed48af0338f12512b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__record__t">wiced_bt_sdp_discovery_record_t</ref> *</type>
        <definition>wiced_bt_sdp_discovery_record_t* wiced_bt_sdp_discovery_db_t::p_first_rec</definition>
        <argsstring />
        <name>p_first_rec</name>
        <briefdescription>
<para>Addr of first record in DB. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="136" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="136" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__db__t_1afe0c35dff37a42c46bd796009c2f6c74" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_discovery_db_t::num_uuid_filters</definition>
        <argsstring />
        <name>num_uuid_filters</name>
        <briefdescription>
<para>Number of UUIds to filter. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="137" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="137" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__db__t_1a466ec3bda86940a09c907ff4ca172c66" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__uuid__t">wiced_bt_uuid_t</ref></type>
        <definition>wiced_bt_uuid_t wiced_bt_sdp_discovery_db_t::uid_filters[SDP_MAX_UUID_FILTERS]</definition>
        <argsstring>[SDP_MAX_UUID_FILTERS]</argsstring>
        <name>uid_filters</name>
        <briefdescription>
<para>UUIDs to filter. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="138" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="138" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__db__t_1a9f8b2a803f1a273cbbcd7ed70b4101bc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_discovery_db_t::num_attr_filters</definition>
        <argsstring />
        <name>num_attr_filters</name>
        <briefdescription>
<para>Number of attribute filters. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="139" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="139" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__db__t_1a4ad626b969526631976a640932ec5bab" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_discovery_db_t::attr_filters[SDP_MAX_ATTR_FILTERS]</definition>
        <argsstring>[SDP_MAX_ATTR_FILTERS]</argsstring>
        <name>attr_filters</name>
        <briefdescription>
<para>Attributes to filter. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="140" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="140" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__db__t_1aae66b88fe1874d2c12ea4f8dc7cfacfc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_sdp_discovery_db_t::p_free_mem</definition>
        <argsstring />
        <name>p_free_mem</name>
        <briefdescription>
<para>Pointer to free memory. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="141" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="141" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Discovery database (used for performing service searches and holding search results) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="645">
        <label>wiced_bt_sdp_discovery_db_t</label>
        <link refid="structwiced__bt__sdp__discovery__db__t" />
        <childnode refid="646" relation="usage">
          <edgelabel>p_first_rec</edgelabel>
        </childnode>
        <childnode refid="649" relation="usage">
          <edgelabel>uid_filters</edgelabel>
        </childnode>
      </node>
      <node id="649">
        <label>wiced_bt_uuid_t</label>
        <link refid="structwiced__bt__uuid__t" />
      </node>
      <node id="648">
        <label>wiced_bt_sdp_discovery_attribute_value_t</label>
        <link refid="structwiced__bt__sdp__discovery__attribute__value__t" />
      </node>
      <node id="647">
        <label>wiced_bt_sdp_discovery_attribute_t</label>
        <link refid="structwiced__bt__sdp__discovery__attribute__t" />
        <childnode refid="648" relation="usage">
          <edgelabel>attr_value</edgelabel>
        </childnode>
      </node>
      <node id="646">
        <label>wiced_bt_sdp_discovery_record_t</label>
        <link refid="structwiced__bt__sdp__discovery__record__t" />
        <childnode refid="647" relation="usage">
          <edgelabel>p_first_attr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="142" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="132" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="133" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__sdp__discovery__db__t_1a4ad626b969526631976a640932ec5bab" virt="non-virtual"><scope>wiced_bt_sdp_discovery_db_t</scope><name>attr_filters</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__db__t_1a46b1feac5e72fb9e386b9df692339b06" virt="non-virtual"><scope>wiced_bt_sdp_discovery_db_t</scope><name>mem_free</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__db__t_1a81d7ef3616ec429b4a18e5b9d36ac48f" virt="non-virtual"><scope>wiced_bt_sdp_discovery_db_t</scope><name>mem_size</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__db__t_1a9f8b2a803f1a273cbbcd7ed70b4101bc" virt="non-virtual"><scope>wiced_bt_sdp_discovery_db_t</scope><name>num_attr_filters</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__db__t_1afe0c35dff37a42c46bd796009c2f6c74" virt="non-virtual"><scope>wiced_bt_sdp_discovery_db_t</scope><name>num_uuid_filters</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__db__t_1a5756e0f4a5aa37bed48af0338f12512b" virt="non-virtual"><scope>wiced_bt_sdp_discovery_db_t</scope><name>p_first_rec</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__db__t_1aae66b88fe1874d2c12ea4f8dc7cfacfc" virt="non-virtual"><scope>wiced_bt_sdp_discovery_db_t</scope><name>p_free_mem</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__db__t_1a466ec3bda86940a09c907ff4ca172c66" virt="non-virtual"><scope>wiced_bt_sdp_discovery_db_t</scope><name>uid_filters</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>